"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Button;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Button = _interopRequireDefault(require("../../styles/cspace-input/Button.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = {
  className: _propTypes.default.string,
  icon: _propTypes.default.bool,
  type: _propTypes.default.string
};
const defaultProps = {
  className: undefined,
  icon: undefined,
  type: 'button'
};
/**
 * A button.
 */

function Button(props) {
  const {
    className,
    icon,
    type,
    ...remainingProps
  } = props;
  const classes = (0, _classnames.default)(icon ? _Button.default.icon : _Button.default.common, className);
  return (
    /*#__PURE__*/
    // TODO: The linter rules only allow static button types (not from a prop). Will need to
    // refactor this. https://github.com/yannickcr/eslint-plugin-react/issues/1846
    _react.default.createElement("button", _extends({
      className: classes // eslint-disable-next-line react/button-has-type
      ,
      type: type // eslint-disable-next-line react/jsx-props-no-spreading

    }, remainingProps))
  );
}

Button.propTypes = propTypes;
Button.defaultProps = defaultProps;