"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = CompoundInput;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CustomCompoundInput = _interopRequireDefault(require("./CustomCompoundInput"));

var _TabularCompoundInput = _interopRequireDefault(require("./TabularCompoundInput"));

var _labelable = _interopRequireDefault(require("../enhancers/labelable"));

var _repeatable = _interopRequireDefault(require("../enhancers/repeatable"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const CustomCompoundInput = (0, _repeatable.default)((0, _labelable.default)(_CustomCompoundInput.default));
const TabularCompoundInput = (0, _labelable.default)(_TabularCompoundInput.default);
const propTypes = { // TODO: Stop using propTypes in isInput, and in render method of cspace-ui Field component.
  // Until then, propTypes need to be hoisted from the base component.
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ...TabularCompoundInput.propTypes,
  tabular: _propTypes.default.bool
};
const defaultProps = {
  tabular: false
};

function CompoundInput(props) {
  const {
    tabular,
    ...remainingProps
  } = props;
  const BaseComponent = tabular ? TabularCompoundInput : CustomCompoundInput;
  return (
    /*#__PURE__*/
    // eslint-disable-next-line react/jsx-props-no-spreading
    _react.default.createElement(BaseComponent, remainingProps)
  );
}

CompoundInput.propTypes = propTypes;
CompoundInput.defaultProps = defaultProps;