"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DateTimeInput;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _LineInput = _interopRequireDefault(require("./LineInput"));

var _pathHelpers = require("../helpers/pathHelpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * This is currently a read-only input.
 */
const propTypes = {
  name: _propTypes.default.string,
  // TODO: Stop using propTypes in isInput. Until then, these unused props need to be declared so
  // this component is recognized as an input.

  /* eslint-disable react/no-unused-prop-types */
  parentPath: _pathHelpers.pathPropType,
  subpath: _pathHelpers.pathPropType,

  /* eslint-enable react/no-unused-prop-types */
  value: _propTypes.default.string,
  formatValue: _propTypes.default.func
};
const defaultProps = {
  name: undefined,
  parentPath: undefined,
  subpath: undefined,
  value: undefined,
  formatValue: undefined
};

function DateTimeInput(props) {
  const {
    name,
    value,
    formatValue
  } = props;
  return /*#__PURE__*/_react.default.createElement(_LineInput.default, {
    name: name,
    readOnly: true,
    value: formatValue ? formatValue(value) : value
  });
}

DateTimeInput.propTypes = propTypes;
DateTimeInput.defaultProps = defaultProps;