"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pathHelpers = require("../helpers/pathHelpers");

var _ChooserInput = _interopRequireDefault(require("./ChooserInput"));

var _FileInput = _interopRequireDefault(require("../../styles/cspace-input/FileInput.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = {
  accept: _propTypes.default.string,
  name: _propTypes.default.string,
  formatFileInfo: _propTypes.default.func,
  onCommit: _propTypes.default.func
};
const defaultProps = {
  formatFileInfo: (name, type, size) => `${name} (${type}, ${size} bytes)`
};

const fileListToArray = fileList => {
  const fileArray = [];

  for (let i = 0; i < fileList.length; i += 1) {
    fileArray.push(fileList[i]);
  }

  return fileArray;
};

class FileInput extends _react.Component {
  constructor(props) {
    super(props);
    this.formatValue = this.formatValue.bind(this);
    this.handleChooseButtonClick = this.handleChooseButtonClick.bind(this);
    this.handleDrop = this.handleDrop.bind(this);
    this.handleFileInputChange = this.handleFileInputChange.bind(this);
    this.handleFileInputRef = this.handleFileInputRef.bind(this);
  }

  formatValue(value) {
    const {
      formatFileInfo
    } = this.props;

    if (value && value.length > 0) {
      const file = value[0];
      return formatFileInfo(file.name, file.type, file.size);
    }

    return undefined;
  }

  handleChooseButtonClick() {
    if (this.fileInput) {
      this.fileInput.click();
    }
  }

  handleDrop(dataTransfer) {
    const {
      files
    } = dataTransfer;
    const {
      onCommit
    } = this.props;

    if (files && files.length > 0 && onCommit) {
      onCommit((0, _pathHelpers.getPath)(this.props), fileListToArray(files));
    }
  }

  handleFileInputChange(event) {
    const {
      onCommit
    } = this.props;

    if (onCommit) {
      const input = event.target;
      onCommit((0, _pathHelpers.getPath)(this.props), fileListToArray(input.files));
    }
  }

  handleFileInputRef(ref) {
    this.fileInput = ref;
  }

  render() {
    const {
      accept,
      formatValue,
      name,
      ...remainingProps
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_ChooserInput.default, _extends({
      className: _FileInput.default.common,
      formatValue: this.formatValue,
      onChooseButtonClick: this.handleChooseButtonClick,
      onDrop: this.handleDrop // eslint-disable-next-line react/jsx-props-no-spreading

    }, remainingProps), /*#__PURE__*/_react.default.createElement("input", {
      accept: accept,
      "data-name": name,
      ref: this.handleFileInputRef,
      tabIndex: "-1",
      type: "file",
      onChange: this.handleFileInputChange
    }));
  }

}

exports.default = FileInput;
FileInput.propTypes = { ...propTypes,
  ..._ChooserInput.default.propTypes
};
FileInput.defaultProps = defaultProps;