"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InputTable;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _InputTableHeader = _interopRequireDefault(require("./InputTableHeader"));

var _InputTableRow = _interopRequireDefault(require("./InputTableRow"));

var _InputTable = _interopRequireDefault(require("../../styles/cspace-input/InputTable.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = {
  children: _propTypes.default.node,
  embedded: _propTypes.default.bool,
  renderLabel: _propTypes.default.func,
  renderAriaLabel: _propTypes.default.func
};
const defaultProps = {
  children: undefined,
  embedded: undefined,
  renderLabel: undefined,
  renderAriaLabel: undefined
};

function InputTable(props) {
  const {
    children,
    embedded,
    renderLabel,
    renderAriaLabel
  } = props;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: _InputTable.default.common
  }, /*#__PURE__*/_react.default.createElement(_InputTableHeader.default, {
    embedded: embedded,
    renderLabel: renderLabel
  }, children), /*#__PURE__*/_react.default.createElement(_InputTableRow.default, {
    embedded: embedded,
    renderAriaLabel: renderAriaLabel
  }, children));
}

InputTable.propTypes = propTypes;
InputTable.defaultProps = defaultProps;