"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InputTableRow;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _inputHelpers = require("../helpers/inputHelpers");

var _InputTableRow = _interopRequireDefault(require("../../styles/cspace-input/InputTableRow.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = {
  children: _propTypes.default.node,
  embedded: _propTypes.default.bool,
  renderAriaLabel: _propTypes.default.func
};
const defaultProps = {
  children: undefined,
  embedded: undefined,
  renderAriaLabel: input => {
    const {
      label
    } = input.props;
    return typeof label === 'string' ? label : undefined;
  }
};

function InputTableRow(props) {
  const {
    children,
    embedded,
    renderAriaLabel
  } = props;
  const inputs = (0, _inputHelpers.extractInputs)(children);
  const inputContainers = inputs.map(input => {
    const {
      flex
    } = input.props;
    const style = flex ? {
      flex
    } : undefined;

    const modifiedInput = /*#__PURE__*/_react.default.cloneElement(input, {
      flex: undefined,
      label: undefined,
      embedded: true,
      'aria-label': renderAriaLabel(input)
    });

    return /*#__PURE__*/_react.default.createElement("div", {
      key: input.props.name,
      style: style
    }, modifiedInput);
  });
  const className = embedded ? _InputTableRow.default.embedded : _InputTableRow.default.normal;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: className
  }, inputContainers);
}

InputTableRow.propTypes = propTypes;
InputTableRow.defaultProps = defaultProps;