"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Label;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Label = _interopRequireDefault(require("../../styles/cspace-input/Label.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = {
  children: _propTypes.default.node,
  readOnly: _propTypes.default.bool,
  required: _propTypes.default.bool
};
const defaultProps = {
  children: undefined,
  readOnly: undefined,
  required: undefined
};
/**
 * A label for an input.
 */

function Label(props) {
  const {
    children,
    readOnly,
    required
  } = props;
  const className = required && !readOnly ? _Label.default.required : _Label.default.common;
  return (
    /*#__PURE__*/
    // FIXME: Set the htmlFor prop to associate the labeled control.
    // eslint-disable-next-line jsx-a11y/label-has-associated-control
    _react.default.createElement("label", {
      className: className
    }, children)
  );
}

Label.propTypes = propTypes;
Label.defaultProps = defaultProps;