"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MiniButton;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _MiniButton = _interopRequireDefault(require("../../styles/cspace-input/MiniButton.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = {
  autoWidth: _propTypes.default.bool,
  className: _propTypes.default.string,
  readOnly: _propTypes.default.bool,
  children: _propTypes.default.node
};
const defaultProps = {
  autoWidth: undefined,
  className: undefined,
  readOnly: undefined,
  children: undefined
};
/**
 * A small button attached to an input.
 */

function MiniButton(props) {
  const {
    autoWidth,
    className,
    readOnly,
    ...remainingProps
  } = props;
  const classes = (0, _classnames.default)(autoWidth ? _MiniButton.default.autoWidth : _MiniButton.default.normal, className);

  if (readOnly) {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: classes
    }, props.children);
  }

  return /*#__PURE__*/_react.default.createElement("button", _extends({}, remainingProps, {
    className: classes,
    type: "button"
  }));
}

MiniButton.propTypes = propTypes;
MiniButton.defaultProps = defaultProps;