"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = OptionPickerInput;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _SubstringFilteringDropdownMenuInput = _interopRequireDefault(require("./SubstringFilteringDropdownMenuInput"));

var _PrefixFilteringDropdownMenuInput = _interopRequireDefault(require("./PrefixFilteringDropdownMenuInput"));

var _withLabeledOptions = _interopRequireDefault(require("../enhancers/withLabeledOptions"));

var _withNormalizedOptions = _interopRequireDefault(require("../enhancers/withNormalizedOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = { // TODO: Stop using propTypes in isInput, and in render method of cspace-ui Field component.
  // Until then, propTypes need to be hoisted from the base component.
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ..._SubstringFilteringDropdownMenuInput.default.propTypes,
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ..._PrefixFilteringDropdownMenuInput.default.propTypes,
  filter: _propTypes.default.string
};
const defaultProps = {
  filter: 'substring' // or 'prefix'

};
const BaseSubstringFilteringDropdownMenuInput = (0, _withLabeledOptions.default)((0, _withNormalizedOptions.default)(_SubstringFilteringDropdownMenuInput.default));
const BasePrefixFilteringDropdownMenuInput = (0, _withLabeledOptions.default)((0, _withNormalizedOptions.default)(_PrefixFilteringDropdownMenuInput.default));

function OptionPickerInput(props) {
  const {
    filter,
    ...remainingProps
  } = props;
  const BaseDropdownMenuInput = filter === 'prefix' ? BasePrefixFilteringDropdownMenuInput : BaseSubstringFilteringDropdownMenuInput;
  return (
    /*#__PURE__*/
    // eslint-disable-next-line react/jsx-props-no-spreading
    _react.default.createElement(BaseDropdownMenuInput, remainingProps)
  );
}

OptionPickerInput.propTypes = propTypes;
OptionPickerInput.defaultProps = defaultProps;