"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _pathHelpers = require("../helpers/pathHelpers");

var _LineInput = _interopRequireDefault(require("../../styles/cspace-input/LineInput.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = {
  name: _propTypes.default.string,
  parentPath: _pathHelpers.pathPropType,
  subpath: _pathHelpers.pathPropType,
  value: _propTypes.default.string,
  readOnly: _propTypes.default.bool,
  api: _propTypes.default.func
};
const defaultProps = {
  name: undefined,
  parentPath: undefined,
  subpath: undefined,
  value: '',
  readOnly: undefined,
  api: undefined
};

class PasswordInput extends _react.Component {
  constructor() {
    super();
    this.handleRef = this.handleRef.bind(this);
  }

  componentDidMount() {
    const {
      api
    } = this.props;

    if (api) {
      api({
        focus: this.focus.bind(this)
      });
    }
  }

  componentWillUnmount() {
    const {
      api
    } = this.props;

    if (api) {
      api(null);
    }
  }

  focus() {
    this.domNode.focus();
  }

  handleRef(ref) {
    this.domNode = ref;
  }

  render() {
    const {
      api,
      name,
      parentPath,
      subpath,
      readOnly,
      value,
      ...remainingProps
    } = this.props;
    const normalizedValue = value === null || typeof value === 'undefined' ? '' : value;
    return /*#__PURE__*/_react.default.createElement("input", _extends({}, remainingProps, {
      className: _LineInput.default.normal,
      disabled: readOnly,
      "data-name": name,
      readOnly: !remainingProps.onChange,
      ref: this.handleRef,
      type: "password",
      value: normalizedValue
    }));
  }

}

exports.default = PasswordInput;
PasswordInput.propTypes = propTypes;
PasswordInput.defaultProps = defaultProps;