"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ReadOnlyInput;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _pathHelpers = require("../helpers/pathHelpers");

var _ReadOnlyInput = _interopRequireDefault(require("../../styles/cspace-input/ReadOnlyInput.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Preservation of whitespace is a functional requirement of this component, so this style is
// attached to the DOM to prevent it from being overridden.
const preserveWhiteSpace = {
  whiteSpace: 'pre'
};
const propTypes = {
  name: _propTypes.default.string,

  /* eslint-disable react/no-unused-prop-types */
  parentPath: _pathHelpers.pathPropType,
  subpath: _pathHelpers.pathPropType,

  /* eslint-enable react/no-unused-prop-types */
  value: _propTypes.default.string,
  embedded: _propTypes.default.bool,
  multiline: _propTypes.default.bool,
  formatValue: _propTypes.default.func
};
const defaultProps = {
  name: undefined,
  parentPath: undefined,
  subpath: undefined,
  value: undefined,
  embedded: undefined,
  multiline: undefined,
  formatValue: undefined
};
/**
 * An input that displays a value, but does not allow it to be edited.
 */

function ReadOnlyInput(props) {
  const {
    name,
    value,
    embedded,
    multiline,
    formatValue
  } = props;
  const classes = (0, _classnames.default)(embedded ? _ReadOnlyInput.default.embedded : _ReadOnlyInput.default.normal, multiline ? _ReadOnlyInput.default.multiline : _ReadOnlyInput.default.oneline);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: classes,
    "data-name": name,
    style: preserveWhiteSpace
  }, formatValue ? formatValue(value) : value);
}

ReadOnlyInput.propTypes = propTypes;
ReadOnlyInput.defaultProps = defaultProps;