"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _CustomCompoundInput = _interopRequireDefault(require("./CustomCompoundInput"));

var _InputTableRow = _interopRequireDefault(require("./InputTableRow"));

var _InputTableHeader = _interopRequireDefault(require("./InputTableHeader"));

var _labelable = _interopRequireDefault(require("../enhancers/labelable"));

var _repeatable = _interopRequireDefault(require("../enhancers/repeatable"));

var _pathHelpers = require("../helpers/pathHelpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const BaseComponent = (0, _repeatable.default)((0, _labelable.default)(_CustomCompoundInput.default));
const propTypes = { // TODO: Stop using propTypes in isInput, and in render method of cspace-ui Field component.
  // Until then, propTypes need to be hoisted from the base component.
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ...BaseComponent.propTypes,
  children: _propTypes.default.node,
  repeating: _propTypes.default.bool,
  sortableFields: _propTypes.default.objectOf(_propTypes.default.bool),
  onSortInstances: _propTypes.default.func,
  renderChildInputLabel: _propTypes.default.func
};
const defaultProps = {
  children: undefined,
  repeating: undefined,
  sortableFields: undefined,
  onSortInstances: undefined,
  renderChildInputLabel: undefined
};

class TabularCompoundInput extends _react.Component {
  constructor() {
    super();
    this.handleSortButtonClick = this.handleSortButtonClick.bind(this);
  }

  handleSortButtonClick(event) {
    const {
      onSortInstances
    } = this.props;

    if (onSortInstances) {
      onSortInstances((0, _pathHelpers.getPath)(this.props), event.currentTarget.dataset.name);
    }
  }

  render() {
    const {
      children,
      repeating,
      renderChildInputLabel,
      sortableFields,
      ...remainingProps
    } = this.props;

    const tableHeader = /*#__PURE__*/_react.default.createElement(_InputTableHeader.default, {
      embedded: repeating,
      renderLabel: renderChildInputLabel,
      sortableFields: sortableFields,
      onSortButtonClick: this.handleSortButtonClick
    }, children);

    return /*#__PURE__*/_react.default.createElement(BaseComponent // eslint-disable-next-line react/jsx-props-no-spreading
    , _extends({}, remainingProps, {
      label: tableHeader,
      repeating: repeating
    }), /*#__PURE__*/_react.default.createElement(_InputTableRow.default, {
      embedded: repeating
    }, children));
  }

}

exports.default = TabularCompoundInput;
TabularCompoundInput.propTypes = propTypes;
TabularCompoundInput.defaultProps = defaultProps;