"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _cspaceRefname = require("cspace-refname");

var _SubstringFilteringDropdownMenuInput = _interopRequireDefault(require("./SubstringFilteringDropdownMenuInput"));

var _PrefixFilteringDropdownMenuInput = _interopRequireDefault(require("./PrefixFilteringDropdownMenuInput"));

var _withNormalizedOptions = _interopRequireDefault(require("../enhancers/withNormalizedOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const propTypes = { // TODO: Stop using propTypes in isInput, and in render method of cspace-ui Field component.
  // Until then, propTypes need to be hoisted from the base component.
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ..._SubstringFilteringDropdownMenuInput.default.propTypes,
  // eslint-disable-next-line react/forbid-foreign-prop-types
  ..._PrefixFilteringDropdownMenuInput.default.propTypes,
  filter: _propTypes.default.string,
  terms: _propTypes.default.arrayOf(_propTypes.default.shape({
    refName: _propTypes.default.string,
    displayName: _propTypes.default.string
  })),
  onMount: _propTypes.default.func
};
const defaultProps = {
  filter: 'substring',
  // or 'prefix'
  terms: undefined,
  onMount: undefined
};
const BaseSubstringFilteringDropdownMenuInput = (0, _withNormalizedOptions.default)(_SubstringFilteringDropdownMenuInput.default);
const BasePrefixFilteringDropdownMenuInput = (0, _withNormalizedOptions.default)(_PrefixFilteringDropdownMenuInput.default);

class TermPickerInput extends _react.Component {
  componentDidMount() {
    const {
      onMount
    } = this.props;

    if (onMount) {
      onMount();
    }
  }

  render() {
    const {
      filter,
      onMount,
      terms,
      ...remainingProps
    } = this.props;
    const {
      value
    } = remainingProps;
    let options;

    if (terms) {
      options = terms.map(term => {
        const option = {
          value: term.refName,
          label: term.displayName
        };

        if (term.termStatus === 'inactive') {
          option.disabled = true;
        }

        return option;
      });
    } else {
      options = [];
    }

    const selectedOption = options.find(option => option.value === value);
    const valueLabel = selectedOption ? selectedOption.label : (0, _cspaceRefname.getDisplayName)(value);
    const BaseDropdownMenuInput = filter === 'prefix' ? BasePrefixFilteringDropdownMenuInput : BaseSubstringFilteringDropdownMenuInput;
    return /*#__PURE__*/_react.default.createElement(BaseDropdownMenuInput, _extends({
      options: options,
      valueLabel: valueLabel // eslint-disable-next-line react/jsx-props-no-spreading

    }, remainingProps));
  }

}

exports.default = TermPickerInput;
TermPickerInput.propTypes = propTypes;
TermPickerInput.defaultProps = defaultProps;