"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPath = exports.pathPropType = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pathPropType = _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.arrayOf(_propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]))]);

exports.pathPropType = pathPropType;

const getPath = props => {
  const {
    parentPath,
    subpath,
    name
  } = props;
  return [parentPath, subpath, name].reduce((path, part) => part ? path.concat(part) : path, []);
};

exports.getPath = getPath;