"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.helpers = exports.enhancers = exports.components = exports.baseComponents = void 0;

var _AutocompleteInput = _interopRequireDefault(require("./components/AutocompleteInput"));

var _Button = _interopRequireDefault(require("./components/Button"));

var _CheckboxInput = _interopRequireDefault(require("./components/CheckboxInput"));

var _ChooserInput = _interopRequireDefault(require("./components/ChooserInput"));

var _ComboBoxInput = _interopRequireDefault(require("./components/ComboBoxInput"));

var _CompoundInput = _interopRequireDefault(require("./components/CompoundInput"));

var _CustomCompoundInput = _interopRequireDefault(require("./components/CustomCompoundInput"));

var _DateInput = _interopRequireDefault(require("./components/DateInput"));

var _DateTimeInput = _interopRequireDefault(require("./components/DateTimeInput"));

var _DropdownMenuInput = _interopRequireDefault(require("./components/DropdownMenuInput"));

var _FileInput = _interopRequireDefault(require("./components/FileInput"));

var _FilteringDropdownMenuInput = _interopRequireDefault(require("./components/FilteringDropdownMenuInput"));

var _IDGeneratorInput = _interopRequireDefault(require("./components/IDGeneratorInput"));

var _InputTable = _interopRequireDefault(require("./components/InputTable"));

var _Label = _interopRequireDefault(require("./components/Label"));

var _LineInput = _interopRequireDefault(require("./components/LineInput"));

var _MiniButton = _interopRequireDefault(require("./components/MiniButton"));

var _MultilineInput = _interopRequireDefault(require("./components/MultilineInput"));

var _OptionPickerInput = _interopRequireDefault(require("./components/OptionPickerInput"));

var _PasswordInput = _interopRequireDefault(require("./components/PasswordInput"));

var _PrefixFilteringDropdownMenuInput = _interopRequireDefault(require("./components/PrefixFilteringDropdownMenuInput"));

var _RichTextInput = _interopRequireDefault(require("./components/RichTextInput"));

var _QuickSearchInput = _interopRequireDefault(require("./components/QuickSearchInput"));

var _RecordTypeInput = _interopRequireDefault(require("./components/RecordTypeInput"));

var _ReadOnlyInput = _interopRequireDefault(require("./components/ReadOnlyInput"));

var _RepeatingInput = _interopRequireDefault(require("./components/RepeatingInput"));

var _StructuredDateInput = _interopRequireDefault(require("./components/StructuredDateInput"));

var _SubstringFilteringDropdownMenuInput = _interopRequireDefault(require("./components/SubstringFilteringDropdownMenuInput"));

var _TabularCompoundInput = _interopRequireDefault(require("./components/TabularCompoundInput"));

var _TextInput = _interopRequireDefault(require("./components/TextInput"));

var _TermPickerInput = _interopRequireDefault(require("./components/TermPickerInput"));

var _VocabularyInput = _interopRequireDefault(require("./components/VocabularyInput"));

var _UploadInput = _interopRequireDefault(require("./components/UploadInput"));

var _changeable = _interopRequireDefault(require("./enhancers/changeable"));

var _committable = _interopRequireDefault(require("./enhancers/committable"));

var _labelable = _interopRequireDefault(require("./enhancers/labelable"));

var _repeatable = _interopRequireDefault(require("./enhancers/repeatable"));

var _standalone = _interopRequireDefault(require("./enhancers/standalone"));

var _withLabeledOptions = _interopRequireDefault(require("./enhancers/withLabeledOptions"));

var _withNormalizedOptions = _interopRequireDefault(require("./enhancers/withNormalizedOptions"));

var pathHelpers = _interopRequireWildcard(require("./helpers/pathHelpers"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const baseComponents = {
  AutocompleteInput: _AutocompleteInput.default,
  Button: _Button.default,
  CheckboxInput: _CheckboxInput.default,
  ChooserInput: _ChooserInput.default,
  CompoundInput: _CompoundInput.default,
  CustomCompoundInput: _CustomCompoundInput.default,
  DateInput: _DateInput.default,
  DateTimeInput: _DateTimeInput.default,
  DropdownMenuInput: _DropdownMenuInput.default,
  FileInput: _FileInput.default,
  FilteringDropdownMenuInput: _FilteringDropdownMenuInput.default,
  IDGeneratorInput: _IDGeneratorInput.default,
  InputTable: _InputTable.default,
  Label: _Label.default,
  LineInput: _LineInput.default,
  MiniButton: _MiniButton.default,
  MultilineInput: _MultilineInput.default,
  OptionPickerInput: _OptionPickerInput.default,
  PasswordInput: _PasswordInput.default,
  PrefixFilteringDropdownMenuInput: _PrefixFilteringDropdownMenuInput.default,
  QuickSearchInput: _QuickSearchInput.default,
  ReadOnlyInput: _ReadOnlyInput.default,
  RecordTypeInput: _RecordTypeInput.default,
  RepeatingInput: _RepeatingInput.default,
  RichTextInput: _RichTextInput.default,
  StructuredDateInput: _StructuredDateInput.default,
  SubstringFilteringDropdownMenuInput: _SubstringFilteringDropdownMenuInput.default,
  TabularCompoundInput: _TabularCompoundInput.default,
  TextInput: _TextInput.default,
  TermPickerInput: _TermPickerInput.default,
  VocabularyInput: _VocabularyInput.default,
  UploadInput: _UploadInput.default
};
exports.baseComponents = baseComponents;
const components = {
  Button: _Button.default,
  CompoundInput: _CompoundInput.default,
  Label: _Label.default,
  MiniButton: _MiniButton.default,
  RepeatingInput: _RepeatingInput.default,
  AutocompleteInput: (0, _repeatable.default)((0, _labelable.default)(_AutocompleteInput.default)),
  CheckboxInput: (0, _labelable.default)(_CheckboxInput.default),
  ChooserInput: (0, _labelable.default)(_ChooserInput.default),
  ComboBoxInput: (0, _repeatable.default)((0, _labelable.default)((0, _withLabeledOptions.default)(_ComboBoxInput.default))),
  CustomCompoundInput: (0, _repeatable.default)((0, _labelable.default)(_CustomCompoundInput.default)),
  DateInput: (0, _repeatable.default)((0, _labelable.default)(_DateInput.default)),
  DateTimeInput: (0, _labelable.default)(_DateTimeInput.default),
  DropdownMenuInput: (0, _repeatable.default)((0, _labelable.default)((0, _withNormalizedOptions.default)(_DropdownMenuInput.default))),
  FileInput: (0, _labelable.default)(_FileInput.default),
  IDGeneratorInput: (0, _repeatable.default)((0, _labelable.default)(_IDGeneratorInput.default)),
  InputTable: (0, _labelable.default)(_InputTable.default),
  LineInput: (0, _standalone.default)(_LineInput.default),
  MultilineInput: (0, _standalone.default)(_MultilineInput.default),
  OptionPickerInput: (0, _repeatable.default)((0, _labelable.default)(_OptionPickerInput.default)),
  PasswordInput: (0, _standalone.default)(_PasswordInput.default),
  ReadOnlyInput: (0, _labelable.default)(_ReadOnlyInput.default),
  QuickSearchInput: (0, _labelable.default)(_QuickSearchInput.default),
  RecordTypeInput: (0, _labelable.default)(_RecordTypeInput.default),
  RichTextInput: (0, _repeatable.default)((0, _labelable.default)(_RichTextInput.default)),
  StructuredDateInput: (0, _repeatable.default)((0, _labelable.default)(_StructuredDateInput.default)),
  TabularCompoundInput: (0, _labelable.default)(_TabularCompoundInput.default),
  TextInput: (0, _standalone.default)(_TextInput.default),
  VocabularyInput: (0, _labelable.default)(_VocabularyInput.default),
  TermPickerInput: (0, _repeatable.default)((0, _labelable.default)(_TermPickerInput.default)),
  UploadInput: (0, _labelable.default)(_UploadInput.default)
};
exports.components = components;
const enhancers = {
  changeable: _changeable.default,
  committable: _committable.default,
  labelable: _labelable.default,
  repeatable: _repeatable.default,
  standalone: _standalone.default,
  withLabeledOptions: _withLabeledOptions.default,
  withNormalizedOptions: _withNormalizedOptions.default
};
exports.enhancers = enhancers;
const helpers = {
  pathHelpers
};
exports.helpers = helpers;